summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarl-Johan Karlsson <creideiki@lysator.liu.se>2021-10-03 12:37:00 +0200
committerIonen Wolkens <ionen@gentoo.org>2021-10-11 14:21:28 -0400
commitf644f25cdce6d3ae7596ca126bd4cbb011954141 (patch)
tree7d66e62ad8aade640abb16016fa155b2da378569
parentapp-emulation/vice: stabilize 3.5-r1 for amd64, x86 (diff)
downloadgentoo-f644f25cdce6d3ae7596ca126bd4cbb011954141.tar.gz
gentoo-f644f25cdce6d3ae7596ca126bd4cbb011954141.tar.bz2
gentoo-f644f25cdce6d3ae7596ca126bd4cbb011954141.zip
app-misc/broot: bump to 1.6.4
Add USE=X for X11 clipboard support. Install shell completions for Bash, Zsh and Fish. Add libgit2 to RDEPEND. Closes: https://bugs.gentoo.org/815826 Package-Manager: Portage-3.0.26, Repoman-3.0.3 Signed-off-by: Karl-Johan Karlsson <creideiki@lysator.liu.se> Closes: https://github.com/gentoo/gentoo/pull/22543 Signed-off-by: Ionen Wolkens <ionen@gentoo.org>
-rw-r--r--app-misc/broot/Manifest9
-rw-r--r--app-misc/broot/broot-1.6.4.ebuild265
-rw-r--r--app-misc/broot/metadata.xml3
3 files changed, 277 insertions, 0 deletions
diff --git a/app-misc/broot/Manifest b/app-misc/broot/Manifest
index 39702397f50..8e9ff6567df 100644
--- a/app-misc/broot/Manifest
+++ b/app-misc/broot/Manifest
@@ -23,6 +23,7 @@ DIST bitflags-1.2.1.crate 16745 BLAKE2B 0fa6d3ce44aad7616d5cd02aad8c1d0b0fed4022
DIST broot-1.6.1.tar.gz 8710957 BLAKE2B e2fc170ef09ae4207a83412f7b51141e08fc815a9cf9199768f79ce81befe2cc39fa1e5e698d42c38fc8125ca347cced5520eb08d7d0d4bef34783d03e1dbf62 SHA512 0a4df51c13455e13ac4b13e97d02016a70da7d2c37635ef8f5cf964b3cbaa9cbe40eb73380587e15749042bb480be5e3b1b67c54eaabf52d1b0fb9671ab13ce9
DIST broot-1.6.2.tar.gz 8712669 BLAKE2B f69c5baad6b6c61a18007035aaa527db798c155c02ce39994a1784d9d4cd28d6ac35d72e29e360ee0f471f544b1f54f9f531869b9388b0437c9086cc98006cf2 SHA512 8200cf386b89cdc8ed20d9130ecd578fbf60dd5641bf5b27020fd5f5c8e882e837b488a785f44bb43dd67e3629acc2214b4a62dd35f8615e5984b6baa73ca954
DIST broot-1.6.3.tar.gz 8712118 BLAKE2B 01d8332864c1a8ef92190d99ce701d4ceba5be0fceeb3cc5eb1fae65857b825c9ee68da137b28fa3320d8eb94d8d90d10ccd29717e1716cd02de72a620d484fc SHA512 6daf9b10eaa82a960da03b5295cd5147447bb462e67be22bd3ab134b30b26fa3e17ced2c1a1ca46a1a059cc32a1376ab82d0e60ce6c143aa2bd1d265c93937ce
+DIST broot-1.6.4.tar.gz 8711244 BLAKE2B df6dbd53dec512402608eb87359b233dc68f1c97a71d7bdd51b2c45cf317a0f6c3cccc223e8464fd08da110769b1abc42f555c42d8cddedc4991748c0d10f9fa SHA512 979889c3a226a145f55bdd036111c67cb25249e2e05c34487e37da36867c6a9671347809bcb2b36250b2c991d36e9d21f6fc86682a4d8923de579f73512fc8ca
DIST bstr-0.2.16.crate 330346 BLAKE2B 75a345f3a5d428ec7278cd10fa676f5bb72685c65c4fe68163943cf3142b43ac45d458bce9323447b201ffcc91aa82cd8c762cb1954c055e34b1a5cebc686ee8 SHA512 33e82e5637efdc2f404ab9405331ae135df12586785491c3e61e70ea8406c67e2109e550cc70a4ab8e95d054e8519c48257fd3b55ef0b67b2530914a9a0b0fac
DIST bytemuck-1.7.0.crate 27057 BLAKE2B 8ee0782cc080cae2c76738931be7076c0ab3529c07b1e03e2924e5e2940210ada4129731376016bafdceeff42984a5a3e5f9db7789071ef11d4e3902edac2857 SHA512 1512e461d17d65f9f462ea12151ebce82a84924a83422d213e690c68f41a024f99d825131a6f5de19994c5610f264c42ef8e09eca8378f5a99e325eecb2bdb00
DIST bytemuck-1.7.2.crate 27489 BLAKE2B 2541a7561eb34351f58266451a020858d8ac1ad30ecb95b97d576e72532cae37ef0b747e2259aaf6052b65f951586425044f824a00dfabf54bba9462edf94c2a SHA512 fae361f5abe67215a7591d421a0b713b77b437123c56e21dd00421e95ab86d9dd9b0bf1daa6623b833ea65681fbeeb58f6feab9d323964304a3250f24df1ace2
@@ -47,6 +48,7 @@ DIST crossbeam-queue-0.3.2.crate 14993 BLAKE2B b22d68d0bebcee8eeb53fe431f54ae219
DIST crossbeam-utils-0.8.5.crate 38414 BLAKE2B 8a10162cbc54f77737602b6f8574b65a02765577f0e2f59d71e1d87662180fe24a781df542f3e765c4d64b7a0666575157e000766dac138bd4fc0356944092ad SHA512 fd4d2ae10340bb96c22b31190b300aab54e96b8089fd62489e102c76a944e6a16c582a90bc40f5e188f13f841293a4b9becf30830c2ece04f3ce78c29066532f
DIST crossterm-0.19.0.crate 104572 BLAKE2B 13b341870516c5ce4f3ac1d4f40567a2a465d65f9dbe9f627821bd6dde994fa5f8d9802a1b42f19ff91d5511ef7d03a0b62361fe8addbb18e74c624dbe66c9e9 SHA512 c46c095d73be48a3c1875806547ba708a40abfc8e5cd89514162e0d1636675c4f4e2857ac3b4b32239d14f7ab57a61018b6a919160b2136ae761dbbde726b932
DIST crossterm-0.20.0.crate 103025 BLAKE2B 8aed50d2df3e3705134f1d20bdd37a8a0b9c16afdff0701073723b038f916f6104d48d646fd3aed8fc93baf4e749f7447149a099829b137055deb9aec00eaa0d SHA512 998d5377b5e204375ba6016da678d3d3a4feb5174092b9e2dd8c8d26d8a5c7f321d60d829262f4b3a962566204fc6e804e3637494be97760e6ef66f888a6ab38
+DIST crossterm-0.21.0.crate 105045 BLAKE2B f79ca91006ed619a3e7a0fa1d5bc9acb2ca76809a83c17dfa351cf6a21ae53b29abf91c6788fc9c22f0a643835fd65fa26cd36a5b58fecce75691e18f88af209 SHA512 b45ffa4b303b1e8733e5ada4866c60184bd2095d6383cde42f5cb0508c5f2d639060d946f9da77d95de5cee4ebb588b877ff0ff4a2fcd41f40928c3fd1f8fde4
DIST crossterm_winapi-0.7.0.crate 15187 BLAKE2B 5407aca29ccb36473b34527d977fd3fe9d190d2dd940da7077535351458fc0a06af114c145a0f3e741402f2df98a98605a8fb02e2e07c5bb107679a24260fc96 SHA512 5efbe7992b4a19725b5992e0b29a77673e8ecc03d28da35580a5cddaeb32b7e30c7bdb53a2392ebb5b1218617045c306d78451f109d5b836f0e00dcab59e0dfd
DIST crossterm_winapi-0.8.0.crate 15531 BLAKE2B 663d08cffbf1996d585922ce09d486afa288b998b6509958ee0c89f8ca4ae316c8d404b326961a464435d22bfcb91e9c3fd26a48e90b8b267c40a7ab6f596c17 SHA512 e246db39c7adae89ee1699b6a0ca2f5aec2dd053db0698ee25c320eb315c59be51d6db2193493ebecadeebee5a4b6f3c52c2e9ede8088da7f9d102ff7ac1e936
DIST csv-1.1.6.crate 886999 BLAKE2B b178d0419af671df570f37a4d054391bc883085b0cd3949de5e967aa4ca323fdadfd8c5d91eef1e8882ec112a1111cf255756eace3c7421e455ea2b6e01cb600 SHA512 81dd826f0ee85e7d335d844e9f9b4d2b66f7076c517d8050ee2e35721bfa4ecb8a906dcd9671b1c5381a968dcce0949202f1afe8eea535b6d215363d4f5be6fc
@@ -88,6 +90,7 @@ DIST indexmap-1.7.0.crate 50363 BLAKE2B b45318ae2a6e1f008494db77a3159eea3fed4f77
DIST instant-0.1.10.crate 5218 BLAKE2B 1e4203d235006ca922134c715781a5bda5a932f6740b7e22505db21d3b675758bce10dbb370e96694574c40c43a1d71ea2e6372df7116b30fe8cb0b65a3b95fe SHA512 a6b2c7e0a7b954e961f2d904a4cd6f701617ad70a7ea13230ee157c473c903803dd64596baa0fabd075e995cd3d013e10681c8d712977341ea2b6f97dd48d596
DIST instant-0.1.9.crate 5213 BLAKE2B fe208faa09852079c603930e88b7d0392a89a55d3b934ad45ffb0c9e44df5ef7e8189ba2fa12452f1c8a6416d6f7c0655365ba959bedf2b78228613944be8278 SHA512 3915f67c3629ec93296d56c4cda0cf97b29b1a70930a9d546abb9518139d4c2f35062563a5094e84841ddb1f00b0f3df9dc00801d96c01994765221edf03ef7c
DIST is_executable-0.1.2.crate 9131 BLAKE2B 7e8f6c37a17a15677d24b1a6087402dfb509c15e7feccb79cf393c877ef471286ae297ee2aed1dad92d4a07544af3466883a82d1261c790572cf5060f22dd681 SHA512 4749e5c20a44a5012ae3420f8af1f59c8bf4f47f281c779a86284d774a9bfc9c9ce37addbeac451792be581aed76c3dbf820a69325dcc249b398698fc2674d69
+DIST is_executable-1.0.1.crate 9550 BLAKE2B 64fbfd2805b9e7a2498a59bd1ff924f84a42c5f1061ba59e7d3cd72cbecb394272c3f9af101f838c7a6a636746d8ed3b7f698c5720857675c58127cec9846d81 SHA512 677980983db2c8ed72e87a2f2df3bac328dc6ba6dba6c3e8c4e4eaa7b8fee160ef4e81d105f65ed718fb7263137ffdb21d86b148f614f04fb9e24201417c8a29
DIST itoa-0.4.7.crate 12099 BLAKE2B 0e4ffbaad504565056f74c3ef560a87eff321a0da6d7a2c8fa35813c207713c22d77080c3b830fefbb21370dd29cfbc6a2807044485b38ac1e0c9c1de3ccebc5 SHA512 c61eb50aa00591af28698b45c528c36bd92088f7cd2f453cf686a1824f4656292638bebc468cf67f903473a5045f22777af623cc0515ef3bf25146b89a7c454f
DIST jobserver-0.1.22.crate 21175 BLAKE2B dc0f20541fd14aa5c8b161cf36829a36e550ef414215417e25516ef1cf67cc1c7100cbe4ebcf8d2530e3245f8793a3ff11f407a0ec5d96385ecb6618e2de7a20 SHA512 ad3d180bb49fbaf51c9a2f40de0e2082947a0cb5bef95001bcc664e4c98f75a4c32a6c53f5eba90595e415b600aacae54d92c2f613dbeb8af94fa08b6d770d8b
DIST jpeg-decoder-0.1.22.crate 228366 BLAKE2B 97dee932aae8d7d08ceaf37c9659d52a93be7c964468087aa39377fb2657c64cf8fe20516337cbe5fe0452c3686e9d1b7cd6c0932bf1ca6562358fd4a8cd69be SHA512 3edf415eb11909b7b16755f54c6a5b082200f81e6ce5dede413e41be221c8be5c14035a171fa1c21771c8d11f30cd990f57e6e98e3204e34e3f0e7ca2c3e38b4
@@ -127,14 +130,19 @@ DIST onig-6.2.0.crate 30671 BLAKE2B 5b284338aa2860209238312dd2aaeccb630d4614f45e
DIST onig_sys-69.7.0.crate 631318 BLAKE2B 3c13902fc1d3c27f809b61535dfdd27c2f96e0cf3c1889ba723d57b9a149534f91e925f52e7534722ecf56095a0a6819c9c787c29dcfec97a63c706ee540d434 SHA512 56be1a8088aceb3348d349fe0b2692eb2fd7810b4aed1c878ec402af848a0bc4563e0721685597ab3d77c037874d00acafcb7b735aa8077d0a36c19f82f13a0d
DIST open-1.7.0.crate 6101 BLAKE2B a0ab3b5c9c48999962dcd7af73231f3b2887fdc4244ac066998660029216f10c71cf32e7f08e788bb6cf4f945569acdc4ebb2ce2094d82377b7a4f38304a03da SHA512 755d199424644347dc60527865141616a64d86c2629b35960e30a8130f6f1e6c389c1f6cbb13b9c2f8746f9bfbf599ed708a54aeef95a107ab73631e8006921b
DIST open-1.7.1.crate 6129 BLAKE2B 024657c1e17e73f1aa24921e0b6bcd11b94754cb9032dfb1aafd6e3f58e484d0f5a1b4e504febfc514dd15e947791095465d2090ac4bd7b6dc43cb38b1e63ac3 SHA512 97c064ade1c9e1329aef03cffc6dbf565a7a3c0acf41845236202b0003d4d709b769e22cef0190624c32b5b6e1506964028a4649e4bb79f1ced5ae9f954508b3
+DIST open-2.0.0.crate 6777 BLAKE2B 8ca08b182b361d89b5decb9daab617b26ca648ecccab2fde81895f683e5faf580665a0feade1f32cba4436e98c870e851d5cb4af8eeab9aab4d9cce0988744c1 SHA512 6aa8ebbb2f5a978a259a7d8c9a2db98000f39b598551e8c1a991dea435b841c48521458ce7a784ea5e6d1843f1418bcab321c9f2113534fa82414150036df48c
DIST parking_lot-0.11.1.crate 39854 BLAKE2B 5a097d7016811de4ca7d21e8a811a96b2e857b5224b176cf7a3bc160c0a0678c9100423e3c096c5056e2df3a4dcba17a590cc64eb1d648355c153c5cdf9db228 SHA512 17e394ac8b62656177a12fcfd246d9bb59be468a5ac174e4d6d8b4ffd0411497d3ce943ca5deab184cebf5c1bbca97b4273f79bf210c78d7f4b6f5e9d68026a2
DIST parking_lot_core-0.8.3.crate 32147 BLAKE2B 5218cfbff706c4388fef31c885c7a5d53566005775a3c440c6a2890efb189a4edfe8e99f6499cac36038846628a915ac988c15e1ebab1b3a3ffb53a64631dc19 SHA512 1dba5a7e68ee007918fb210ff308f7382ed1c54d2fe6db36a8246453434246b71e6795db107c83ca39c2bddf5e4a27da7978a464b53d41e150e744d81e75b341
DIST pathdiff-0.2.0.crate 6189 BLAKE2B b04f2769452686f94651251f017ed03c264b4fbd471a1ea1c529d48d0a2899a491aaa7f757dc6e5338e4536fcb0641bac46a7c6bc99280bdea7f6b91c7231bfb SHA512 9527aa96b6f873014c216c6326e0d235f764951d244f5cf36e2eaa0b8182b25e7766a46967b5b0b936163c6ec4796a15e72540dd3faca8abfdcbeba651c21f71
DIST percent-encoding-2.1.0.crate 9748 BLAKE2B f3ff35ac683724b15e40c85e0fb8ececb07b61beeea82b7020f02d27df05a8a3535f157b3cd688533e414d6541de7de8640ef4756706d8061af0fec94ba04ab3 SHA512 98af4dfa7c6a3cf0d5aa929c436f9eb1ba1b576a944513f1284e6df2ad06be7cab9eba145d888d50af88f8c970bacc702b323041bec6d4fa1dc34095186c628a
DIST phf-0.8.0.crate 3902 BLAKE2B 3f1d4f9c23cfa2a3a0b7e4f809ff00783d71bb4839b27246d5244e5aee61a211498715ed576f00749e8132a6af1cdf50b2eb27d2f49896f006212981886a0e44 SHA512 a3013c4106ba72aa3cf22bd3f903eeacc24ac7cc47aad791bc5e9a63e1aff928a537399b6a86b0346c5eb37979ec01b404807e622e79a0a70a0e01e63c07a47f
+DIST phf-0.9.0.crate 4712 BLAKE2B 1ecba00b75d980ac6f7d0a2065233c1b388bf54dfb8efda7f7deb5221ccc7975b94dc9731481043a94ec06d2d54206c77891351701fe8fb7e5e01e017586f6e3 SHA512 0a10c9afbff6e40146cf32f8a279368ef0f73ce32d1ca7f7e527e03f3432635ae2b993531b3d9ae3624c2feb875b302cdd0c3588047287dbbc201e8485260ee6
DIST phf_generator-0.8.0.crate 7604 BLAKE2B 936c9ad95d2d5b6b4bc97dac9bcf99813462950f6280d9cbb8c8ae9253d3197f25b8173c202cdd51c4a2d3f422ca1d6f5c9055e7a87e45b2dc5fbe5aa6aa45ce SHA512 de045f47567defd43fe32fc62191a9a892e5a478e1a84b853cff3005e94967ded68e5770eacb43f2e97e58b8f4283327a38a3bdbd55e1d5c708dab601ea66270
+DIST phf_generator-0.9.0.crate 7769 BLAKE2B fca5d84d48164ab394b335368861fc601bf7d16726b2a2b9d99cc27447a3b61c1a63a9a6c3b32fd59bf66eb7eaf100ba252880b0ddb07fbc6f36d7b9e699c713 SHA512 6adb363d1ee9f2b64e29755e8e92efb3203f3f384bd0cffab60a14b98ba544c3f6da067ba714cf3cc9901c153d5b464d2824216f35f94fc95cdcff7f8657c36e
DIST phf_macros-0.8.0.crate 5814 BLAKE2B 39f40a52c177da227b3bf54d0fe4f05a2d6c382183ab0400d74a06d34fb3f28a23342496f6e0d48d25a792bb848bd9ed740a10d37c39969ad79c929fdc98d743 SHA512 ba56661aa92393fad7712f774fe4f0b7bf25d483aa7d4c4617409e655e9448b39780a904b8865293e16f8e63d62440aa0d653fe231beda4f58194de455598170
+DIST phf_macros-0.9.0.crate 3537 BLAKE2B 4e82ea5dec7b8b9d0e321a56b12218c8b04292a90465b11c6f8b2f0440dcf9a9b02dc15e6ef775b091dacbbc589d3cec03770a0ecdc779b2f97a85a238875335 SHA512 92b14f1b9e47acf448583538d4f783e0c8da1ed0231165cf852788e2aa5af29e646d655612b7ca7a2af14e0139dc7be5a34464938109863db33aeac2d5c313a2
DIST phf_shared-0.8.0.crate 2860 BLAKE2B db48d88ad6e7aa6bdb2f6750ab66063a55d005b4f5e92ededb59da1f1fa9b1296d30f87d32d036f08e3a74111ea4d8287e8eb6c86d0edd76b3ceb38f223696db SHA512 6ad7ac732b7cc42e7e179329fbfee7074d26652d73eb4f2b97224491d978ad9b14c66e5a539c96b84c70124ac44cfc009bf963a42c438d028bd9737b99f463f3
+DIST phf_shared-0.9.0.crate 4111 BLAKE2B 04d4344d7f07a8116ff7ac2497d64e60eb527d1387107d7bb8f7dafe14802434e8e8e3f4587580a673760a7332fab90fe6307905d571ada432b6541cc29af2b6 SHA512 9c15d6d0af7809c036c510b964a6f9e2c07b7c866333b30e71c3e302035821ad1c21993b3c56522c0f2641028dce42aaa8532a04a50f0706c6501f5c2c739f26
DIST pkg-config-0.3.19.crate 15451 BLAKE2B dc23b5ef12719b4b3d2fc5c93c087399ba954a5e127be91b26619466d5d7422e71684d02905304dca65273d69b66338d94c0642e3810a14df845ef507ddc0bfb SHA512 42bc13c4e39c8f71690db527d815884acdfd2ccf5fbfea700c6ed60257e852cdcb1c443e7774409e51da53612b0ff0aa165554b99fd0cba973f94a8df52982d9
DIST plist-1.1.0.crate 40173 BLAKE2B dc689529f09dc5370e4e98129bed5580a7d8dcc8b588d4acd66aea9c13d49ec67f449c26dbeb300016585f707267c03fbcb1310b033f423d3a03ea93026bb8f5 SHA512 11617001327b310978bfc114cb4549586af2f25d03563adcaba062d78f34ef2ccf72b4779877f206a06d0a7aed62253fa853c4544285542b6ee88331845c28c9
DIST plist-1.2.0.crate 41056 BLAKE2B 9d23b210569eddc25da3cc6632b88345fec54f7a725617d7b71f90abefff4ea4a0ab58dec044fdfbca817c08bfcadac9bed3bab1e9f63890cf4535196d48d67f SHA512 545ebae943341302edd992f7937f43fa7c931e3b9e499b2a933901549b9dc16a8398216b5aa50b3cdc8175519769af1662996513085c4711400eb9cbe6fbe0e6
@@ -196,6 +204,7 @@ DIST tempfile-3.2.0.crate 25892 BLAKE2B ea6870c642c5712c7c96072a5d3dc04d75c19cf1
DIST termimad-0.10.3.crate 316247 BLAKE2B acda7abe193eeb015c9e144e765b3fe075fda1fcba410a41ecea84f72d3ba455f528267a7300c5e5ee626a1c1f87a9bd7ee7ab336812718c66fe2877f3ff855b SHA512 c25aa79fa0053c1e7ac88405b45742d3e34d58f4293405699e601122451e18ac9532b80413df9032850d983e3abcb1b1656de3428bface46efd2505d2a2137bc
DIST termimad-0.11.1.crate 316869 BLAKE2B a669f9cf3b4b8ff9179b475f4d5c73282beb8cde520de7fa074feff17274a5597cc5c929525d9996397104131d978d095efc8880f9efab7c5b5ffd6c695c7ce1 SHA512 b930c5b9da286a0754bdf7749cded52aaa4af8c050f88b5aeff2a4f3fd95720ca82ed90d2f4249054ca7f2b1cf31fde8a8808fc5bb1c63649da325c017658433
DIST termimad-0.14.0.crate 334991 BLAKE2B 0bd2d35b68f841e0c764a0b489b29767a141b54576259beecc39adcb1105f952a248cb3030b6e79a819148edb61f028b5ecb64b221cb21236bd031194404e983 SHA512 c96c2c43b091f174bbe1105c91d426786964dafd6477004828e798c3e911f391e12c33afdc4c9872523206481100c4656e722acdbd4a64db92ac88ec1b5040fb
+DIST termimad-0.16.1.crate 344819 BLAKE2B 8cc26f5c5ce84ab12c05aa9eed0e0fa06cbd764a4665f91c9818e2c0c27b13976a36402caa0b7be5da54fcb750f92c330cb04c158540f2ceecf4b79124d9acd2 SHA512 a496ca4c40a4d54fad929de1b7062ed9269e34b46ed4a6fbd94d6f212be69c28f135185579bb655c5d2e34eb6192a17271d1544b5cfeba9e33a68f87c4254616
DIST terminal-clipboard-0.2.1.crate 4056 BLAKE2B 638662ebf46e0cb67df5a33905b5384b9270276c243b6f53a66415509eabb4da48c2d8257b5f67518712911395698cd02a745b6daf42d1cab30a1253a7dd98bf SHA512 10b6d024b24fb236954a981c17dec25b4d4b8f06c4cef3edb9137cf291099453926b5793c6f19bd3b69a9db88e38ed4ea72bbf8aa6f57434a30974b9fb9ab763
DIST termux-clipboard-0.1.0.crate 2033 BLAKE2B 33003b25e6236370b2423472e87deaac8ee282c375e02faa3575aaec7ef547674f0218a50f0a2d42ff75dcf088ef31d94f44c4b05c0f526dddbaef2e06a8c722 SHA512 acd972d9c9eaa20dfadf1ec01274ed27fb33d16d97b504d8f41fea9c6598557a32d939d0a8a8585d919ee9d1b411d714851d662b5bc7d1a5f3b97d8cd423a434
DIST textwrap-0.11.0.crate 17322 BLAKE2B 257428908342774593bbd3528fcdae710712ff54e8a711393a24356d8ba0e16e466a4b20c05f942c48ca76b3b5b5aaa90ec202f782cad892caa8b71ccf124da6 SHA512 f5c0fe4f28ff1a3a0931e8e235b5157a45f67967985bcc752418c5ec3481fca44a8ae4800088889b37e8cd0533f53d3c456d5ffd19b767b3f83a87b49a2e209a
diff --git a/app-misc/broot/broot-1.6.4.ebuild b/app-misc/broot/broot-1.6.4.ebuild
new file mode 100644
index 00000000000..5c89cd8a5a5
--- /dev/null
+++ b/app-misc/broot/broot-1.6.4.ebuild
@@ -0,0 +1,265 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+adler-1.0.2
+adler32-1.2.0
+ahash-0.4.7
+ahash-0.7.4
+aho-corasick-0.7.18
+ansi_colours-1.0.4
+ansi_term-0.11.0
+anyhow-1.0.42
+argh-0.1.5
+argh_derive-0.1.5
+argh_shared-0.1.5
+atty-0.2.14
+autocfg-1.0.1
+base64-0.13.0
+bet-1.0.0
+bincode-1.3.3
+bitflags-1.2.1
+bstr-0.2.16
+bytemuck-1.7.2
+byteorder-1.4.3
+cc-1.0.69
+cfg-if-1.0.0
+char_reader-0.1.0
+chrono-0.4.19
+clap-2.33.3
+cli-log-0.1.0
+cli-log-2.0.0
+clipboard-win-4.2.1
+color_quant-1.1.0
+crc32fast-1.2.1
+crossbeam-0.8.1
+crossbeam-channel-0.5.1
+crossbeam-deque-0.8.1
+crossbeam-epoch-0.9.5
+crossbeam-queue-0.3.2
+crossbeam-utils-0.8.5
+crossterm-0.19.0
+crossterm-0.21.0
+crossterm_winapi-0.7.0
+crossterm_winapi-0.8.0
+csv-1.1.6
+csv-core-0.1.10
+csv2svg-0.1.5
+custom_error-1.9.2
+deflate-0.8.6
+deser-hjson-1.0.2
+directories-3.0.2
+directories-next-2.0.0
+dirs-sys-0.3.6
+dirs-sys-next-0.1.2
+either-1.6.1
+error-code-2.3.0
+fallible-iterator-0.2.0
+fallible-streaming-iterator-0.1.9
+file-size-1.0.3
+flate2-1.0.20
+fnv-1.0.7
+form_urlencoded-1.0.1
+getrandom-0.2.3
+gif-0.11.2
+git2-0.13.20
+glassbench-0.3.0
+glob-0.3.0
+hashbrown-0.9.1
+hashbrown-0.11.2
+hashlink-0.6.0
+heck-0.3.3
+hermit-abi-0.1.19
+id-arena-2.2.1
+idna-0.2.3
+image-0.23.14
+indexmap-1.7.0
+instant-0.1.10
+is_executable-1.0.1
+itoa-0.4.7
+jobserver-0.1.22
+jpeg-decoder-0.1.22
+lazy-regex-2.2.1
+lazy-regex-proc_macros-2.2.1
+lazy_static-1.4.0
+lazycell-1.3.0
+lfs-core-0.4.2
+libc-0.2.98
+libgit2-sys-0.12.21+1.1.0
+libsqlite3-sys-0.20.1
+libz-sys-1.1.3
+line-wrap-0.1.1
+linked-hash-map-0.5.4
+lock_api-0.4.4
+log-0.4.14
+matches-0.1.8
+memchr-2.4.0
+memmap-0.7.0
+memoffset-0.6.4
+minimad-0.7.1
+minimad-0.8.0
+miniz_oxide-0.3.7
+miniz_oxide-0.4.4
+mio-0.7.13
+miow-0.3.7
+ntapi-0.3.6
+num-integer-0.1.44
+num-iter-0.1.42
+num-rational-0.3.2
+num-traits-0.2.14
+num_cpus-1.13.0
+once_cell-1.8.0
+onig-6.2.0
+onig_sys-69.7.0
+open-1.7.1
+open-2.0.0
+parking_lot-0.11.1
+parking_lot_core-0.8.3
+pathdiff-0.2.0
+percent-encoding-2.1.0
+phf-0.9.0
+phf_generator-0.9.0
+phf_macros-0.9.0
+phf_shared-0.9.0
+pkg-config-0.3.19
+plist-1.2.0
+png-0.16.8
+ppv-lite86-0.2.10
+proc-macro-hack-0.5.19
+proc-macro2-1.0.28
+proc-status-0.1.1
+quote-1.0.9
+rand-0.8.4
+rand_chacha-0.3.1
+rand_core-0.6.3
+rand_hc-0.3.1
+rayon-1.5.1
+rayon-core-1.9.1
+redox_syscall-0.2.9
+redox_users-0.4.0
+regex-1.5.4
+regex-automata-0.1.10
+regex-syntax-0.6.25
+remove_dir_all-0.5.3
+rusqlite-0.24.2
+ryu-1.0.5
+safemem-0.3.3
+same-file-1.0.6
+scoped_threadpool-0.1.9
+scopeguard-1.1.0
+secular-1.0.1
+serde-1.0.127
+serde_derive-1.0.127
+serde_json-1.0.66
+signal-hook-0.1.17
+signal-hook-0.3.9
+signal-hook-mio-0.2.1
+signal-hook-registry-1.4.0
+siphasher-0.3.6
+smallvec-1.6.1
+splitty-0.1.0
+str-buf-1.0.5
+strict-0.1.4
+strsim-0.8.0
+svg-0.8.2
+syn-1.0.74
+syntect-4.6.0
+tempfile-3.2.0
+termimad-0.10.3
+termimad-0.16.1
+terminal-clipboard-0.2.1
+termux-clipboard-0.1.0
+textwrap-0.11.0
+thiserror-1.0.26
+thiserror-impl-1.0.26
+tiff-0.6.1
+time-0.1.43
+tinyvec-1.3.1
+tinyvec_macros-0.1.0
+toml-0.5.8
+umask-1.0.0
+unicode-bidi-0.3.5
+unicode-normalization-0.1.19
+unicode-segmentation-1.8.0
+unicode-width-0.1.8
+unicode-xid-0.2.2
+url-2.2.2
+users-0.11.0
+vcpkg-0.2.15
+vec_map-0.8.2
+version_check-0.9.3
+walkdir-2.3.2
+wasi-0.10.2+wasi-snapshot-preview1
+weezl-0.1.5
+winapi-0.3.9
+winapi-i686-pc-windows-gnu-0.4.0
+winapi-util-0.1.5
+winapi-x86_64-pc-windows-gnu-0.4.0
+x11-clipboard-0.5.2
+xcb-0.9.0
+xml-rs-0.8.4
+yaml-rust-0.4.5
+"
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit bash-completion-r1 cargo python-any-r1
+
+DESCRIPTION="A new way to see and navigate directory trees"
+HOMEPAGE="https://dystroy.org/broot/ https://github.com/Canop/broot"
+SRC_URI="https://github.com/Canop/broot/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ $(cargo_crate_uris)"
+
+LICENSE="Apache-2.0 BSD-2 BSD LGPL-3+ MIT ZLIB"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="X"
+
+RDEPEND="
+ dev-libs/libgit2:=
+ X? ( x11-libs/libxcb:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="X? ( ${PYTHON_DEPS} )"
+
+QA_FLAGS_IGNORED="usr/bin/broot"
+
+pkg_setup() {
+ use X && python-any-r1_pkg_setup # Used by XCB crate
+}
+
+src_configure() {
+ local myfeatures=( $(usev X clipboard) )
+
+ cargo_src_configure --no-default-features
+}
+
+src_prepare() {
+ default
+
+ local mandate=$(date -r man/page +'%Y/%m/%d' || die)
+ sed -e "s|#version|${PV}|" \
+ -e "s|#date|${mandate}|" \
+ man/page > "${T}"/${PN}.1 || die
+}
+
+src_install() {
+ cargo_src_install
+
+ doman "${T}"/${PN}.1
+
+ cd target/release/build/${PN}-*/out || die
+
+ newbashcomp ${PN}.bash ${PN}
+ newbashcomp br.bash br
+
+ insinto /usr/share/zsh/site-functions
+ doins _${PN}
+ doins _br
+
+ insinto /usr/share/fish/vendor_completions.d
+ doins ${PN}.fish
+ doins br.fish
+}
diff --git a/app-misc/broot/metadata.xml b/app-misc/broot/metadata.xml
index 2312211da24..9ba7fe219ce 100644
--- a/app-misc/broot/metadata.xml
+++ b/app-misc/broot/metadata.xml
@@ -12,4 +12,7 @@
<upstream>
<remote-id type="github">Canop/broot</remote-id>
</upstream>
+ <use>
+ <flag name="X">X11 clipboard interaction</flag>
+ </use>
</pkgmetadata>